List all track comments
curl --request GET \
--url https://open.beatpass.ca/api/v1/tracks/{id}/comments \
--header 'Authorization: Bearer <token>'import requests
url = "https://open.beatpass.ca/api/v1/tracks/{id}/comments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://open.beatpass.ca/api/v1/tracks/{id}/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"pagination": {
"current_page": 1,
"from": 1,
"to": 100,
"per_page": 25,
"last_page": 156,
"total": 264,
"data": [
{
"id": 1,
"content": "comment text",
"position": 0,
"depth": 1,
"deleted": false,
"user": {
"id": 123,
"display_name": "<string>",
"avatar": "<string>"
}
}
]
}
}Tracks
List all track comments
GET
/
tracks
/
{id}
/
comments
List all track comments
Authorizations
API access is invite-only. Contact contact@beatpass.ca to request access. Once approved, generate tokens from Account Settings → Developers. Include as: Authorization: Bearer {token}. Tokens expire after 90 days.
Path Parameters
ID of the track
Query Parameters
How many comments to return per page
Which page to return
Last modified on July 21, 2026
Was this page helpful?
⌘I